// Those styles are only applied to Quasar elements such as dialogs, datepickers, dorpdowns
// that are injected and removed from the DOM via JavaScript
.appearingElement {
    color: #ffff !important;

    .q-item {
        background: lighten($primary-color, 1%) !important;
        color: #fff !important;

        .q-item__section {
            .q-card {
                background: lighten($primary-color, 5%) !important;
                color: #ffff !important;
                input {
                    color: #fff !important;
                }
                .q-field__native {
                    color: #fff !important;
                }
            }
        }
    }


    // Cards
    .q-card__section {
        background: $primary-color;
        color: #fff;
        input {
            color: #fff;
        }
    }

}